function [Final_IT_array,Final_mean_I_array,Final_dt_array,Final_level_pts,BSL,BSR]=Single_Level_Truncated_Event_Construction_NO_FindChngPts(data,PDL,PDR)

    BSL_data=data(1:PDL);   
    BSL=mean(BSL_data);
    BSR_data=data(end-PDR:end);
    BSR=mean(BSR_data);
    
    event_data=data(PDL:end-PDR);
    event_val_prel=weighted_mean(event_data);
    event_val=weighted_mean(event_data(event_data<event_val_prel));
    
    %IT construction
    BSL_I=repmat(BSL,length(BSL_data)-1,1);
    event_I=repmat(event_val,length(event_data),1);
    BSR_I=repmat(BSR,length(BSR_data)-1,1);
    time_data=(1:length(data))';
    event_I=[BSL_I;event_I;BSR_I];
    
    Final_IT_array=[time_data event_I];
    Final_mean_I_array=event_val;
    Final_dt_array=length(event_data)-1;
    Final_level_pts=[PDL length(event_data)+PDL];

end