function peak_count=level_crossing_count_Edges_MOD(data_level,I_PDC,smooth_fac)
    
        if length(data_level)>=3 %there must be atleast 3 data points for a peak to appear
            data_level=smoothdata(data_level,'gaussian',smooth_fac);
            filtered_data=data_level(data_level<I_PDC);
            if length(filtered_data)>3
                [~,peak_pos]=findpeaks(filtered_data);
                peak_count_up=length(peak_pos);
            
                [~,peak_pos]=findpeaks(-filtered_data);
                peak_count_low=length(peak_pos);
            
                peak_count=peak_count_up+peak_count_low;
            else
                peak_count=0;
            end
        else
            peak_count=0;
        end

end